<?php
     if($_REQUEST['ajax']) {
        switch($_REQUEST['code']) {
            case "transno":
              
              if(RetRstField("SELECT fnid FROM tlline WHERE ftline_code='{$_REQUEST['fttrans_no']}'")) {
                  ?>

                  alert('Kode Line sudah dipakai... ');
            <?php
              }
              else {
                    ?> 
                 
                  submitbutton('Simpan','','','','');

            <?php
              }
                die("");
            break;
          
          
        }
    }

    $objAxpDB->ViewName("Daftar Line");
    $objAxpDB->ViewSQL("SELECT fnid, ftline_code,ftline_name 
                                FROM tlline ");
    $objAxpDB->ViewCaption("ID, Kode Line,Nama Line ");

    $objAxpDB->FormName("Line");
    $objAxpDB->FormSQL("select  ftline_code,ftline_name 
                        from tlline");
    $objAxpDB->FormCaption("Kode Line,Nama Line");
    
    $objAxpDB->FormPosition(" TL, TL ");
   
    $objAxpDB->SetStatus("id, fnStatus");
    if ($objAxpDB->GetStatus("id") == "")
            $objAxpDB->ButtonShow("baru, cetak_daftar, export_excel ,  tutup");
    elseif ($objAxpDB->GetStatus("id") == 0) {
            $objAxpDB->FormLocked("0, 0");
            $objAxpDB->ButtonShow("reset, simpan, tutup");
    } elseif ($objAxpDB->GetStatus("id") != 0) {
           $objAxpDB->FormLocked("1, 0");
            $objAxpDB->ButtonShow("update, hapus, tutup");
    }
    $objAxpDB->Process();
    $objAxpDB->WriteHtmlTable();

?>
